<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button type="button" class="btn btn-success ml-1" (click)="checkIn('I')">
    Check-In
  </button>
  <button type="button" (click)="checkIn('A')" class="btn btn-warning ml-1">
    Actualiza
  </button>
  <button type="button" (click)="checkIn('O')" class="btn btn-danger ml-1" >
    Check-Out
  </button>
  <button type="button" (click)="checkIn('V')" class="btn btn-secondary ml-1" >
    Vacías
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="col-2">
          <label class="k-form-field ml-sm-2 mt-2">
            <label></label>
            <input type="checkbox" id="lLog1" class="k-checkbox mt-2" formControlName="lLog1">
            <label class="k-checkbox-label mt-4" for="lLog1">Individual</label>
          </label>
        </div>
        <div class="col-3" *ngIf="ngForm.value.lLog1">
          <label class="w-100">Cuarto</label>
              <div class="input-group">
                <input type="tel" pattern="[0-9]*" class="form-control" formControlName="cChr2" readonly>
                <div class="input-group-append">
                  <button class="btn btn-primary" type="button" (click)="openModal(modal, 'allCrts')">
                    <i class="fas fa-search"></i>
                  </button>
                </div>
              </div>
        </div>
        <div class="col-3" *ngIf="ngForm.value.lLog1">
          <label class="w-100">Ext.</label>
          <input type="tel" pattern="[0-9]*" name="iInt1" formControlName="iInt1" class="form-control"
          readonly>
        </div>
      </div>

      <div class="divider"></div>

      <div class="row">
        <div class="form-group col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
          <strong class="w-20 ">Check-In:</strong>
          <label class="w-80 ml-2">Realiza el check-in de todas las habitaciones ocupadas.</label>
      </div>
      <div class="form-group col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
          <strong class="w-20 ">Actualiza:</strong>
          <label class="w-80 ml-2">Actualización de nombres y categorías de todas las habitaciones ocupadas.</label>
      </div>
      <div class="form-group col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
          <strong class="w-20 ">Check-Out:</strong>
          <label class="w-80 ml-2">Realiza check-out a todas las habitaciones ocupadas.</label>
      </div>
      <div class="form-group col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
          <strong class="w-20 ">Vacías:</strong>
          <label class="w-80 ml-2">Realiza check-out a todas las habitaciones desocupadas.</label>
      </div>

      </div>
    </form>


  </div>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-graf">{{ modalTitle }}</h4>
    <button type="button" class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">

    <app-all-cuartos (allCrts)="getDataModal($event, 'allCrts'); c()" *ngIf="modalType === 'allCrts'"></app-all-cuartos>


  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>
